
const OracleService = require('../service/OracleService')

class adqVerifPedidoFosModel {
    constructor() {
        this.GET_ADQVERIFPEDIDOFOS = `
            SELECT
               *
            FROM
               PEDIDOFOS
            WHERE
               (CDFILIAL  = :P_CDFILIAL   ) AND
               (NRPEDIDOFOSMSDE = :P_NRPEDIDOFOS) AND
               (DTPEDIDOFOS     = TIMESTAMP :P_DTPEDIDOFOS)
        `
    }
    get(params) {
        return OracleService.connect().then(sql => {
            return OracleService.execute(this.GET_ADQVERIFPEDIDOFOS, params);
        })
    }
}  

module.exports = new adqVerifPedidoFosModel();