const OracleService = require('../service/OracleService');

class acmUpMovExtratoModel {
  constructor() {
    this.GET_ACMUPMOVEXTRATO = `
            UPDATE EXTRATOCONS
            SET VRSALDCONEXT = :VRSALDCONEXT
            WHERE
               (CDCLIENTE= :CDCLIENTE)     AND
               (CDCONSUMIDOR  = :CDCONSUMIDOR)  AND
               (CDFAMILISALD= :CDFAMILISALD)AND
               (DTMOVEXTCONS  = TIMESTAMP :DTMOVEXTCONS) AND
               (NRSEQMOVEXT    = :NRSEQMOVEXT)
        `;
  }

  get(params) {
    return OracleService.connect().then(() => {
      return OracleService.execute(this.GET_ACMUPMOVEXTRATO, params);
    });
  }
}

module.exports = new acmUpMovExtratoModel();
