const OracleService = require('../service/OracleService');

class adqVerificaNOVOCODNFCEModel {
  constructor() {
    this.GET_ADQVERIFICANOVOCODNFCE = `
            SELECT *
              FROM NOVOCODIGO
             WHERE CDCONTADOR LIKE 'NFCE_' || :P_CDFILIAL || :P_CDCAIXA || '%'
        `;
  }
  get(params) {
    return OracleService.connect().then((sql) => {
      return OracleService.execute(this.GET_ADQVERIFICANOVOCODNFCE, params);
    });
  }
}

module.exports = new adqVerificaNOVOCODNFCEModel();
